DecimalFormat
Date: 2016-06-24

java.text

## Class DecimalFormat

- java.lang.Object
- - java.text.Format
  - - java.text.NumberFormat
    - - java.text.DecimalFormat

- All Implemented Interfaces:
    Serializable, Cloneable

      public class DecimalFormat
      extends NumberFormat

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.text.NumberFormat

      `NumberFormat.Field`

  - ### Field Summary

    - ### Fields inherited from class java.text.NumberFormat

      `FRACTION_FIELD, INTEGER_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DecimalFormat()`
    `DecimalFormat(String var0)`
    `DecimalFormat(String var0, DecimalFormatSymbols var1)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyLocalizedPattern(String var0)`
    `void` | `applyPattern(String var0)`
    `StringBuffer` | `format(double var0, StringBuffer var1, FieldPosition var2)`
    `StringBuffer` | `format(long var0, StringBuffer var1, FieldPosition var2)`
    `DecimalFormatSymbols` | `getDecimalFormatSymbols()`
    `int` | `getGroupingSize()`
    `int` | `getMultiplier()`
    `String` | `getNegativePrefix()`
    `String` | `getNegativeSuffix()`
    `String` | `getPositivePrefix()`
    `String` | `getPositiveSuffix()`
    `boolean` | `isDecimalSeparatorAlwaysShown()`
    `Number` | `parse(String var0, ParsePosition var1)`
    `void` | `setDecimalFormatSymbols(DecimalFormatSymbols var0)`
    `void` | `setDecimalSeparatorAlwaysShown(boolean var0)`
    `void` | `setGroupingSize(int var0)`
    `void` | `setMultiplier(int var0)`
    `void` | `setNegativePrefix(String var0)`
    `void` | `setNegativeSuffix(String var0)`
    `void` | `setPositivePrefix(String var0)`
    `void` | `setPositiveSuffix(String var0)`
    `String` | `toLocalizedPattern()`
    `String` | `toPattern()`

    - ### Methods inherited from class java.text.NumberFormat

      `format, format, format, getAvailableLocales, getCurrency, getCurrencyInstance, getCurrencyInstance, getInstance, getInstance, getIntegerInstance, getIntegerInstance, getMaximumFractionDigits, getMaximumIntegerDigits, getMinimumFractionDigits, getMinimumIntegerDigits, getNumberInstance, getNumberInstance, getPercentInstance, getPercentInstance, isGroupingUsed, isParseIntegerOnly, parse, parseObject, setCurrency, setGroupingUsed, setMaximumFractionDigits, setMaximumIntegerDigits, setMinimumFractionDigits, setMinimumIntegerDigits, setParseIntegerOnly`

    - ### Methods inherited from class java.text.Format

      `clone, format, formatToCharacterIterator, parseObject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DecimalFormat

          public DecimalFormat()

    - #### DecimalFormat

          public DecimalFormat(String var0)

    - #### DecimalFormat

          public DecimalFormat(String var0,
                       DecimalFormatSymbols var1)

  - ### Method Detail

    - #### applyLocalizedPattern

          public void applyLocalizedPattern(String var0)

    - #### applyPattern

          public void applyPattern(String var0)

    - #### format

          public StringBuffer format(double var0,
                            StringBuffer var1,
                            FieldPosition var2)

      Specified by:
        `format` in class `NumberFormat`

    - #### format

          public StringBuffer format(long var0,
                            StringBuffer var1,
                            FieldPosition var2)

      Specified by:
        `format` in class `NumberFormat`

    - #### getDecimalFormatSymbols

          public DecimalFormatSymbols getDecimalFormatSymbols()

    - #### getGroupingSize

          public int getGroupingSize()

    - #### getMultiplier

          public int getMultiplier()

    - #### getNegativePrefix

          public String getNegativePrefix()

    - #### getNegativeSuffix

          public String getNegativeSuffix()

    - #### getPositivePrefix

          public String getPositivePrefix()

    - #### getPositiveSuffix

          public String getPositiveSuffix()

    - #### isDecimalSeparatorAlwaysShown

          public boolean isDecimalSeparatorAlwaysShown()

    - #### parse

          public Number parse(String var0,
                     ParsePosition var1)

      Specified by:
        `parse` in class `NumberFormat`

    - #### setDecimalFormatSymbols

          public void setDecimalFormatSymbols(DecimalFormatSymbols var0)

    - #### setDecimalSeparatorAlwaysShown

          public void setDecimalSeparatorAlwaysShown(boolean var0)

    - #### setGroupingSize

          public void setGroupingSize(int var0)

    - #### setMultiplier

          public void setMultiplier(int var0)

    - #### setNegativePrefix

          public void setNegativePrefix(String var0)

    - #### setNegativeSuffix

          public void setNegativeSuffix(String var0)

    - #### setPositivePrefix

          public void setPositivePrefix(String var0)

    - #### setPositiveSuffix

          public void setPositiveSuffix(String var0)

    - #### toLocalizedPattern

          public String toLocalizedPattern()

    - #### toPattern

          public String toPattern()